Package com.smartgwt.client.types

# Enum FieldImportStrategy

java.lang.Object
java.lang.Enum<FieldImportStrategy>
com.smartgwt.client.types.FieldImportStrategy

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<FieldImportStrategy>`, `Constable`

public enum FieldImportStrategy extends Enum<FieldImportStrategy> implements ValueEnum
Options for how values in the import dataset (for example, the CSV file) are transformed during import if the field is a `foreignKey` mapped to a `displayField`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO`
  The import process will attempt to discover the best setting to use, based on the values in the first record, and use that setting for every remaining record in the import dataset
  `DISPLAY`
  The import process expects values in the import dataset to be display values, and it will transform them to the corresponding underlying keys if found
  `DISPLAYREQUIRED`
  Same as "display", but results in `validation error` if corresponding underlying keys were not found
  `KEY`
  The import process expects values in the import dataset to be the real underlying key values, and performs no transformation

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static FieldImportStrategy`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static FieldImportStrategy[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### KEY

    public static final FieldImportStrategy KEY
    The import process expects values in the import dataset to be the real underlying key values, and performs no transformation

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "key".

  - ### DISPLAY

    public static final FieldImportStrategy DISPLAY
    The import process expects values in the import dataset to be display values, and it will transform them to the corresponding underlying keys if found

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "display".

  - ### DISPLAYREQUIRED

    public static final FieldImportStrategy DISPLAYREQUIRED
    Same as "display", but results in `validation error` if corresponding underlying keys were not found

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "displayRequired".

  - ### AUTO

    public static final FieldImportStrategy AUTO
    The import process will attempt to discover the best setting to use, based on the values in the first record, and use that setting for every remaining record in the import dataset

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "auto".

- ## Method Details

  - ### values

    public static FieldImportStrategy[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FieldImportStrategy valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`